POST api/pcconfigapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"id": "f58a797e-30ad-4811-b1d8-71b76866a090",
"key": "712e8213-dbd2-45b8-8049-5acf5f1c48e0",
"pc_id": "53f411cc-46d9-435c-9b09-48f2206a04e7",
"value": "sample string 3"
}
application/xml, text/xml
Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <id>f58a797e-30ad-4811-b1d8-71b76866a090</id> <key>712e8213-dbd2-45b8-8049-5acf5f1c48e0</key> <pc_id>53f411cc-46d9-435c-9b09-48f2206a04e7</pc_id> <value>sample string 3</value> </pc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"96c5f39b-d66d-4f4b-88be-077033148cd5"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">96c5f39b-d66d-4f4b-88be-077033148cd5</guid>